## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate eyre

Name:           rust-eyre
Version:        0.6.12
Release:        %autorelease
Summary:        Flexible concrete Error Reporting type with customizable Reports

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/eyre
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop optional support for PyO3
Patch:          eyre-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Flexible concrete Error Reporting type built on std::error::Error with
customizable Reports.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+auto-install-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+auto-install-devel %{_description}

This package contains library source intended for building other packages which
use the "auto-install" feature of the "%{crate}" crate.

%files       -n %{name}+auto-install-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+track-caller-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+track-caller-devel %{_description}

This package contains library source intended for building other packages which
use the "track-caller" feature of the "%{crate}" crate.

%files       -n %{name}+track-caller-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Feb 14 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.12-1
- Update to version 0.6.12; Fixes RHBZ#2263949

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Apr 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.8-5
- Skip some doctests that fail to compile with thiserror 1.0.40

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 15 2022 Fabio Valentini <decathorpe@gmail.com> - 0.6.8-2
- Drop optional pyo3 dependency (version does not match what is in Fedora)

* Wed Apr 06 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 0.6.8-1
- Initial Fedora package
## END: Generated by rpmautospec
